Subject: Which ethtool methods should I implement?

From: Timur Tabi <[email-masked]>
Date: Mon, 19 Dec 2016 19:29:38 -0600

I'm adding support for ethtool to my driver 
(drivers/net/ethernet/qualcomm/emac/), and I can't find any meaningful 
HOWTO documentation, so I'm not sure which methods I need to implement.

Is there some minimal set of must-have ethtool methods that should be 
implemented?  Since I support phylib, I guess I should use 
phy_ethtool_get_link_ksettings and phy_ethtool_set_link_ksettings.  What 
else?

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.